Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.management.data
Class DataManagementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.management.data.DataManagementException

public abstract class DataManagementException
extends ApplicationException

Base Exception class for Adactus. All data deployment exceptions extend this class. The constructors provided are in-line with those expected in the Exception infastructure coming in Java 1.4. The base ApplicationException class provides basic exception chaining.

See Also:
  Serialized Form

Constructor Summary
`DataManagementException()`
`DataManagementException(java.lang.String msg)`
`DataManagementException(java.lang.String msg, java.lang.Throwable embedded)`
`DataManagementException(java.lang.Throwable embedded)`

Method Summary
`java.lang.Throwable` | `getEmbeddedException()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `toString()`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataManagementException

    public DataManagementException()

### DataManagementException

    public DataManagementException(java.lang.String msg)

### DataManagementException

    public DataManagementException(java.lang.Throwable embedded)

### DataManagementException

    public DataManagementException(java.lang.String msg,
                                   java.lang.Throwable embedded)

Method Detail

### getEmbeddedException

    public java.lang.Throwable getEmbeddedException()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    getMessage in class java.lang.Throwable

### toString

    public java.lang.String toString()

  Overrides:
    toString in class ApplicationException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved